import { TranslateService } from '../../translate/translate.service';
import * as i0 from "@angular/core";
export declare class AuiPaginatorIntl {
    private readonly translate;
    readonly changes: import("rxjs").Observable<"zh" | "en">;
    get itemsPerPageLabel(): string;
    get jumperLabelPrefix(): string;
    get jumperLabelSuffix(): string;
    getTotalLabel: (length: number) => string;
    constructor(translate: TranslateService);
    static ɵfac: i0.ɵɵFactoryDeclaration<AuiPaginatorIntl, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AuiPaginatorIntl>;
}
